zenilib: AF_LatinAxisRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
AF_LatinAxisRec_ Struct Reference

`#include <aflatin.h>`

## Public Attributes

FT_UInt | blue_count
AF_LatinBlueRec | blues [AF_LATIN_BLUE_MAX]
FT_Pos | delta
FT_Pos | edge_distance_threshold
FT_Bool | extra_light
FT_Pos | org_delta
FT_Fixed | org_scale
FT_Fixed | scale
FT_Pos | standard_width
FT_UInt | width_count
AF_WidthRec | widths [AF_LATIN_MAX_WIDTHS]

## Detailed Description

Definition at line 96 of file aflatin.h.

## Member Data Documentation

FT_UInt AF_LatinAxisRec_::blue_count

Definition at line 108 of file aflatin.h.

Referenced by af_latin2_metrics_init_blues(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_blues(), and af_latin_metrics_scale_dim().

AF_LatinBlueRec AF_LatinAxisRec_::blues[AF_LATIN_BLUE_MAX]

Definition at line 109 of file aflatin.h.

Referenced by af_latin2_hints_compute_blue_edges(), af_latin2_metrics_init_blues(), af_latin2_metrics_scale_dim(), af_latin_hints_compute_blue_edges(), af_latin_metrics_init_blues(), and af_latin_metrics_scale_dim().

FT_Pos AF_LatinAxisRec_::delta

Definition at line 99 of file aflatin.h.

Referenced by af_latin2_metrics_scale_dim(), and af_latin_metrics_scale_dim().

FT_Pos AF_LatinAxisRec_::edge_distance_threshold

Definition at line 103 of file aflatin.h.

Referenced by af_latin2_hints_compute_edges(), af_latin2_metrics_init_widths(), af_latin_hints_compute_edges(), and af_latin_metrics_init_widths().

FT_Bool AF_LatinAxisRec_::extra_light

Definition at line 105 of file aflatin.h.

Referenced by af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), and af_latin_metrics_scale_dim().

FT_Pos AF_LatinAxisRec_::org_delta

Definition at line 112 of file aflatin.h.

Referenced by af_latin2_metrics_scale_dim(), and af_latin_metrics_scale_dim().

FT_Fixed AF_LatinAxisRec_::org_scale

Definition at line 111 of file aflatin.h.

Referenced by af_latin2_metrics_scale_dim(), and af_latin_metrics_scale_dim().

FT_Fixed AF_LatinAxisRec_::scale

Definition at line 98 of file aflatin.h.

Referenced by af_latin2_hints_compute_blue_edges(), af_latin2_metrics_scale_dim(), af_latin_hints_compute_blue_edges(), and af_latin_metrics_scale_dim().

FT_Pos AF_LatinAxisRec_::standard_width

Definition at line 104 of file aflatin.h.

Referenced by af_latin2_hints_compute_edges(), af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), and af_latin_metrics_scale_dim().

FT_UInt AF_LatinAxisRec_::width_count

Definition at line 101 of file aflatin.h.

Referenced by af_latin2_hints_compute_edges(), af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), and af_latin_metrics_scale_dim().

AF_WidthRec AF_LatinAxisRec_::widths[AF_LATIN_MAX_WIDTHS]

Definition at line 102 of file aflatin.h.

Referenced by af_latin2_metrics_init_widths(), af_latin2_metrics_scale_dim(), af_latin_metrics_init_widths(), and af_latin_metrics_scale_dim().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/autofit/aflatin.h